# eric4.E4Gui.E4TableView

Module implementing specialized table views.

### Global Attributes

None

### Classes

E4TableView | Class implementing a table view supporting removal of entries.

### Functions

None

## E4TableView

Class implementing a table view supporting removal of entries.

### Derived from

QTableView

### Class Attributes

None

### Class Methods

None

### Methods

keyPressEvent | Protected method implementing special key handling.
removeAll | Public method to clear the view.
removeSelected | Public method to remove the selected entries.

### Static Methods

None

#### E4TableView.keyPressEvent

keyPressEvent(evt)

Protected method implementing special key handling.

evt
  reference to the event (QKeyEvent)

#### E4TableView.removeAll

removeAll()

Public method to clear the view.

#### E4TableView.removeSelected

removeSelected()

Public method to remove the selected entries.

Up